%define module_name Dist-Zilla-Plugin-Depak
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/depak.pm) perl(App/lcpan.pm) perl(App/lcpan/Call.pm) perl(Data/Dmp.pm) perl(Dist/Zilla.pm) perl(Dist/Zilla/Role/PERLANCAR/WriteModules.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Path.pm) perl(File/Slurper.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(File/Which.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(IPC/System/Options.pm) perl(JSON/MaybeXS.pm) perl(List/Util.pm) perl(Moose.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(namespace/autoclean.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.21
Release: alt1
Summary: Pack dependencies onto scripts during build using 'depak'
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Dist-Zilla-Plugin-Depak

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This plugin will replace your scripts with the packed version (that is, scripts
that have their dependencies packed onto themselves). Packing will be done using
the depak manpage.

If depak.conf exists in your dist's top-level directory, it will be used as
the depak configuration.

In addition to replacing scripts with the packed version, it will also search
for directives `# PACKED_MODULES' and `# PACKED_DISTS' in module files and
replace them with `%%PACKED_MODULES' and `@PACKED_DISTS'. The
`%%PACKED_MODULES' hash lists all the modules that are included in the one of
the scripts. This can be useful for tools that might need it. `@PACKED_DISTS'
array lists all the dists that are included in one of the scripts. This also can
be useful for tools that might need it, like
the Dist::Zilla::Plugin::PERLANCAR::CheckDepDists manpage.

There is also `# PACKED_CONTENTS_POD' which you can put in your script. It will
be replaced with POD that list the packed modules/dists.

=for Pod::Coverage .+
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/D*

%changelog
* Wed Aug 02 2017 Igor Vlasenko <viy@altlinux.ru> 0.21-alt1
- regenerated from template by package builder

* Tue Mar 22 2016 Igor Vlasenko <viy@altlinux.ru> 0.20-alt1
- initial import by package builder

